%% -----------------
%% Copyright © 2022 ACK Cyfronet AGH, Poland.
%% -----------------
%%
%% Sample function created for demonstration of creating custom applications functionality
%% See also https://docs.cyfronet.pl/display/ISDOC/Creating+Custom+Applications
%%
function outVector = sampleApp(inVector, multiplier)

%% sampleApp function that multiplies a vector of number values by a multiplier and returns the result
%
% Inputs:
%   - inVector - vector of double number values
%   - multiplier - scalar number by which the inVector will be multiplied  
%
% Outputs:
%   - outVector - vector of double being a result of multiplication of inVector by multiplier
%

    outVector = inVector .* multiplier;

end
